<h1 align="center">NewPipe e.V. website</h1>
<p align="center">
<br>
<br>
<a href="https://gohugo.io/">
  <img src="https://img.shields.io/badge/Hugo%20-gray.svg?colorA=c9177e&colorB=FF4088&style=for-the-badge" alt="Hugo"/>
</a>
<a href="https://tailwindcss.com/">
  <img src="https://img.shields.io/badge/TailwindCSS%20-V3-gray.svg?colorA=0284c7&colorB=38bdf8&style=for-the-badge" alt="TailwindCSS 3"/>
</a>
<a href="https://alpinejs.dev/">
  <img src="https://img.shields.io/badge/Alpine.js%20-V3-gray.svg?colorA=68a5af&colorB=77c1d2&style=for-the-badge" alt="ALpine.js 3"/>
</a>
</p>


## Prerequisites
- [Hugo __*extended*__ version](https://gohugo.io/getting-started/installing/)
- [npm / nodejs](https://nodejs.org/en/download/) or [yarn](https://yarnpkg.com/getting-started/install)

##### Install with NPM 
`npm install`
##### Install with Yarn
`yarn`

**To start developing:**
##### Develop with NPM 
`npm run start`
##### Develop with Yarn
`yarn start`

**To generate the site HTML:**
##### Build with NPM 
`npm run build`
##### Build with Yarn
`yarn build`

**npm run start** will run two commands parallel:  
`npx tailwindcss -i ./assets/css/main.css -o ./assets/css/style.css --watch`

Has paginated Categories and Tags. Markdown files will automatically convert images put into `/assets` folder to .webp images. 

## Image shortcodes for webp as well.
{{< imgc src="img-name.jpg" alt="Place alt text here." >}}

## Form
To use the form, visit [FormSubmit.Co](https://formsubmit.co/). Locate the contact form in "content/contact.md", and update the form action with the email address you want on this line: **action="https://formsubmit.co/your@email.com" method="POST"**


## Credits
4044ever - Original Theme
https://github.com/4044ever/Hugo-Tailwind-3.0.git

Jan Heise - Alpine.js Navbar
https://github.com/jan-heise/responsive-navbar-with-dropdown

Tailbliss theme by NusserStudios.
https://github.com/nusserstudios/tailbliss/
Made for Hacktoberfest, with ❤️ by NusserStudios.
